Subject: Re: [kernel.org users] Re: auto-packing on kernel.org? please?

From: Brian Gerst <[email-masked]>
Date: Sun, 16 Oct 2005 13:15:45 -0400

Brian Gerst wrote:
> Nick Hengeveld wrote:
> 
>> On Sun, Oct 16, 2005 at 11:44:46AM -0400, Daniel Barkalow wrote:
>>
>>> This is the problem: it's impossible to download only a few objects 
>>> from a pack file from an HTTP server, because those don't exist on 
>>> the server as separate files.
>>
>>
>> Is it possible to determine the object locations inside the remote pack
>> file?  If so, it would be possible to use Range: headers to download
>> selected objects from a pack.
>>
> 
> Not possible because the entire pack is compressed.

I should have looked at the source more closely before stating that. 
Each object gets compressed individually, so this would be possible.

--
					Brian Gerst